Monitor -> Reports will show reports for hosts not in the Organization context

05/27/2015 10:02 AM - Tommy McNeely

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Organizations and Locations   

Target version: 1.8.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2448

  

Description

When I have the Organization context set, and select Monitor -> Reports, I end up with "blank" hosts (nil), because the reports

belong to orgs that are not in the context.

https://www.dropbox.com/s/gofr1n5hsjjm43d/Screenshot%202015-05-27%2007.56.59.png?dl=0

If I change the context back to "Any Organization" ... then the host links aren't nil anymore...

https://www.dropbox.com/s/9rqyzdyz6qvmeqo/Screenshot%202015-05-27%2007.57.14.png?dl=0

The reports that are associated to hosts not in the current organization context should not appear at all.

~tommy

Related issues:

Related to Foreman - Bug #8817: PGError: ERROR: missing FROM-clause entry for... Closed 12/31/2014

Related to Foreman - Bug #10632: Operation FAILED: No route matches {:control... New 05/27/2015

Associated revisions

Revision 9926db42 - 06/11/2015 02:25 AM - Dominic Cleal

fixes #10627 - apply host taxonomy scope to facts/report joins

Previous changes to perform a join onto hosts with authorisation result

in a query such as Report.joins(:hosts), which ignores any

default_scope on Host::Base.  This commit explicitly passes taxonomy

conditionals into the Authorizer to re-apply it.

Revision 5b157a27 - 06/15/2015 10:11 AM - Dominic Cleal

fixes #10627 - apply host taxonomy scope to facts/report joins

Previous changes to perform a join onto hosts with authorisation result

in a query such as Report.joins(:hosts), which ignores any

default_scope on Host::Base.  This commit explicitly passes taxonomy

conditionals into the Authorizer to re-apply it.

(cherry picked from commit 9926db4274e2d9d01466676116a9c001f473f1a4)

Conflicts:

app/models/host/base.rb

app/services/authorizer.rb

History

#1 - 05/27/2015 10:03 AM - Dominic Cleal

- Category changed from Web Interface to Organizations and Locations
https://www.dropbox.com/s/gofr1n5hsjjm43d/Screenshot%202015-05-27%2007.56.59.png?dl=0
#2 - 05/29/2015 07:17 AM - Dominic Cleal

- Related to Bug #8817: PGError: ERROR: missing FROM-clause entry for table "hostgroups" added

#3 - 05/29/2015 07:17 AM - Dominic Cleal

- translation missing: en.field_release set to 56

#4 - 05/29/2015 07:59 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#5 - 06/10/2015 08:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2448 added

- Pull request deleted ()

#6 - 06/10/2015 12:29 PM - Dominic Cleal

- Related to Bug #10632: Operation FAILED: No route matches {:controller=>"reports", :host_id=>nil} on login added

#7 - 06/11/2015 03:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9926db4274e2d9d01466676116a9c001f473f1a4.
